@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    font-family: Montserrat;
}

html, body {
    margin: 0;
    padding: 0;
    height: 100%;

}

body {
    background-color: rgb(232, 223, 194);
}

a {
  text-decoration: none;
}

/* Начала стилей для шапки  */

header {
    width: 100%;
    height: 10vw;
    display: flex;
    align-items: center;
    gap: 60px;
    padding: 0 90px;

}

header .options {
    width: 50px;

}

header .logo {
    width: 450px;
    margin-left: 220px;
    margin-right: 220px;
}

/* Стили для анимации поисска */

.search-container {
    position: relative;
}

/* иконка */
.search-btn {
    cursor: pointer;
    transition: 0.2s;
}

/* overlay */
.search-overlay {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    height: 60px;
    width: 0;
    opacity: 0;
    overflow: hidden;
    display: flex;
    align-items: center;
    background: rgb(232, 223, 194);
    transition:
        width 0.35s ease,
        opacity 0.2s ease;

    z-index: 9999;
}

/* активное состояние */
.search-overlay.active {
    width: 300px;
    opacity: 1;
}

/* форма */
.search-overlay form {
    width: 100%;
}

/* input */
.search-overlay input {
    width: 100%;
    padding: 12px 18px;
    border: none;
    border-radius: 20px;
    outline: none;
    font-size: 18px;
}

/* Начало стилей для футера */

#footerFon {
    background: url('/static/project/images/about2.png');
    background-size: 100% 100%;
    width: 100%;
    height: 60vw;
    display: flex;
    flex-direction: column;

}

#footer {
    background: url('/static/project/images/footer.png');
    width: 85vw;
    height: 34vw;
    background-size: 100% 100%;
    color: rgb(215, 120, 67);
    display: flex;
    gap: 9vw;
    margin: 0 7.5vw;

}

#footer a {
    color: rgb(215, 120, 67);
}

#footer h2 {
    font-size: 1vw;
    font-weight: 800;
    margin-top: 2vw;
}

#footer h3 {
    font-size: 0.9vw;
    font-weight: 500;
    margin-top: 1vw;
    white-space: pre-wrap;
}

#footer h3 span {
    font-weight: 800;
}

#footer h2 span {
    font-weight: 500;
}

#footer #left, #right {
    margin-top: 8vw;
}

#footer #left {
    margin-left: 10vw;

}

#footer #right h2 {
    margin-bottom: 1vw;
}

#footer #map {
    width: 33vw;
    height: 18vw;
    border-radius: 1vw;
    border:0;
}

#copyText:hover {
    cursor: pointer;
}

#footer .active {
    transition: filter 0.3s ease;
}

#footer .active:hover {
    filter: brightness(85%);
}

@media screen and (max-width: 800px) {

    header {
        gap: 20px;
        padding: 30px 45px;

    }

    header .options {
        width: 25px;

    }

    header .logo {
        width: 110px;
        margin-left: 10px;
        margin-right: 10px;
    }

    #footer {
        gap: 15vw;
        height: 75vw;
        background: url(/static/project/images/footerFon.png);
        background-size: 100% 100%;
        display: block;
        width: 83vw;
    }

    #footer h3 {
        font-size: 2.3vw;
    }

    #footer h2 {
        font-size: 2.5vw;

    }

    #footer #left, #right {
        margin-left: 7vw;
        margin-top: 4vw;
    }

    #footer #left {
        display: flex;
        gap: 25vw;
        margin-top: 3vw;
    }

    #footerFon {
        height: 150vw;
    }

    #footer #map {
        height: 36vw;
        width: 70vw;
    }

    #footer #right h2 {
        margin-left: 10vw;
        margin-bottom: 2vw;
    }

    #footer #LongText {
        position: absolute;
        margin-left: 3vw;
        margin-top: 65vw;
    }


    .search-overlay.active {
        width: 200px;
    }
}